package com.chinaitop.depot.storage.service;

import com.chinaitop.depot.storage.model.StorageHouserepair;
import com.chinaitop.depot.storage.model.StorageHouserepairExample;

import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/10/16
 */
public interface StorageHouserepairService {
    /**
     * 条件查询houserepair列表
     * @param houserepair
     * @return
     */
    List<StorageHouserepair> queryByHouseRepair(StorageHouserepair houserepair);
    /**
     * 新增housecheck信息 (仓房检查)
     * @param houseRepair
     */
    void saveCheck(StorageHouserepair houseRepair);
    /**
     * 新增houseRepair信息（仓房维修）
     * @param houseRepair
     */
    void saveRepair(StorageHouserepair houseRepair);
    /**
     * 根据id查询数据
     * @param id
     * @return
     */
    StorageHouserepair loadDataById(int id);
    /**
     * 根据nvr主键id删除数据
     * @param id
     */
    void remove(int id);
}
