package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageKeepertransferDetailsMapper;
import com.chinaitop.depot.storage.model.StorageKeepertransferDetails;
import com.chinaitop.depot.storage.model.StorageKeepertransferDetailsExample;
import com.chinaitop.depot.storage.service.StorageKeepertransferDetailsService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/11/14
 */
@Service
public class StorageKeepertransferDetailsServiceImpl implements StorageKeepertransferDetailsService {
    @Resource
    private StorageKeepertransferDetailsMapper keepertransferDetailsMapper;

    @Override
    public List<StorageKeepertransferDetails> findKtDetailsByKtId(StorageKeepertransferDetailsExample keepertransferDetailsExample) {
        return keepertransferDetailsMapper.selectByExample(keepertransferDetailsExample);
    }
    @Override
    @Transactional
    public void removeByKtId(StorageKeepertransferDetailsExample keepertransferDetailsExample) {

        keepertransferDetailsMapper.deleteByExample(keepertransferDetailsExample);
    }

}
